## e-charset e-charset |

## Functions

GSList * | e_charset_add_radio_actions ()

## Description

## Functions

### e_charset_add_radio_actions ()

    GSList *
    e_charset_add_radio_actions (GtkActionGroup *action_group,
                                 const gchar *action_prefix,
                                 const gchar *default_charset,
                                 GCallback callback,
                                 gpointer user_data);

Adds a set of GtkRadioActions for available character sets to `action_group` . The `default_charset` (or locale character set if `default_charset` is `NULL`) will be added first, and selected by default (except that ISO-8859-1 will always be used instead of US-ASCII). Any other character sets of the same language class as the default will be added next, followed by the remaining character sets.

#### Parameters

action_group | a GtkActionGroup |
action_prefix | a prefix for action names, or `NULL` |
default_charset | the default character set, or `NULL` to use the locale character set |
callback | a callback function for actions in the group, or `NULL` |
user_data | user data to be passed to `callback` , or `NULL` |

#### Returns

the radio action group

## Types and Values